import type { App } from 'vue';
import type { ArcoOptions } from '../_utils/types';
import _Cascader from './cascader';
import _CascaderPanel from './cascader-panel';
declare const Cascader: {
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        pathMode: {
            type: BooleanConstructor;
            default: boolean;
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        modelValue: {
            type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
        };
        defaultValue: {
            type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
            default: (props: import("../_utils/types").Data) => "" | never[] | undefined;
        };
        options: {
            type: import("vue").PropType<import("./interface").CascaderOption[]>;
            default: () => never[];
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        error: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: import("vue").PropType<"mini" | "small" | "medium" | "large">;
        };
        allowSearch: {
            type: BooleanConstructor;
            default: (props: import("../_utils/types").Data) => boolean;
        };
        allowClear: {
            type: BooleanConstructor;
            default: boolean;
        };
        inputValue: {
            type: StringConstructor;
            default: undefined;
        };
        defaultInputValue: {
            type: StringConstructor;
            default: string;
        };
        popupVisible: {
            type: BooleanConstructor;
            default: undefined;
        };
        expandTrigger: {
            type: import("vue").PropType<"hover" | "click">;
            default: string;
        };
        defaultPopupVisible: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: StringConstructor;
        filterOption: {
            type: import("vue").PropType<(inputValue: string, option: import("./interface").CascaderOption) => boolean>;
        };
        popupContainer: {
            type: import("vue").PropType<string | HTMLElement | null | undefined>;
        };
        maxTagCount: {
            type: NumberConstructor;
            default: number;
        };
        formatLabel: {
            type: import("vue").PropType<(options: import("./interface").CascaderOption[]) => string>;
        };
        triggerProps: {
            type: import("vue").PropType<import("..").TriggerProps>;
        };
        checkStrictly: {
            type: BooleanConstructor;
            default: boolean;
        };
        loadMore: {
            type: import("vue").PropType<(option: import("./interface").CascaderOption, done: (children?: import("./interface").CascaderOption[] | undefined) => void) => void>;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        searchOptionOnlyLabel: {
            type: BooleanConstructor;
            default: boolean;
        };
        searchDelay: {
            type: NumberConstructor;
            default: number;
        };
        fieldNames: {
            type: import("vue").PropType<import("../_utils/types").FieldString<import("./interface").CascaderOption>>;
        };
        valueKey: {
            type: StringConstructor;
            default: string;
        };
        fallback: {
            type: import("vue").PropType<boolean | ((value: string | number | Record<string, unknown> | (string | number | Record<string, unknown>)[]) => string)>;
            default: boolean;
        };
        expandChild: {
            type: BooleanConstructor;
            default: boolean;
        };
        virtualListProps: {
            type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
        };
    }>> & Readonly<{
        onClear?: (() => any) | undefined;
        onInputValueChange?: ((value: string) => any) | undefined;
        onFocus?: ((ev: FocusEvent) => any) | undefined;
        onBlur?: ((ev: FocusEvent) => any) | undefined;
        "onUpdate:modelValue"?: ((value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => any) | undefined;
        onChange?: ((value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => any) | undefined;
        "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
        onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
        onSearch?: ((value: string) => any) | undefined;
    }>, {
        optionInfos: import("vue").Ref<{
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[], import("./interface").CascaderOptionInfo[] | {
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[]>;
        filteredLeafOptions: import("vue").ComputedRef<{
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[]>;
        selectedPath: import("vue").Ref<string[], string[]>;
        activeKey: import("vue").Ref<string | undefined, string | undefined>;
        displayColumns: import("vue").ComputedRef<import("./interface").CascaderOptionInfo[][]>;
        computedInputValue: import("vue").ComputedRef<string>;
        computedPopupVisible: import("vue").ComputedRef<boolean>;
        handleClear: (e: MouseEvent) => void;
        selectViewValue: import("vue").ComputedRef<any[]>;
        handleInputValueChange: (value: string, reason: string) => void;
        showSearchPanel: import("vue").ComputedRef<boolean>;
        handlePopupVisibleChange: (visible: boolean) => void;
        handleFocus: (e: FocusEvent) => void;
        handleBlur: (e: FocusEvent) => void;
        handleRemove: (key: string) => void;
        mergedDisabled: import("vue").ComputedRef<boolean>;
        handleKeyDown: (event: KeyboardEvent) => void;
        totalLevel: import("vue").Ref<number, number>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        'update:modelValue': (value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => true;
        'update:popupVisible': (visible: boolean) => true;
        change: (value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => true;
        inputValueChange: (value: string) => true;
        clear: () => true;
        search: (value: string) => true;
        popupVisibleChange: (visible: boolean) => true;
        focus: (ev: FocusEvent) => true;
        blur: (ev: FocusEvent) => true;
    }, import("vue").PublicProps, {
        inputValue: string;
        disabled: boolean;
        error: boolean;
        defaultValue: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined;
        allowClear: boolean;
        popupVisible: boolean;
        defaultPopupVisible: boolean;
        multiple: boolean;
        loading: boolean;
        allowSearch: boolean;
        maxTagCount: number;
        defaultInputValue: string;
        options: import("./interface").CascaderOption[];
        valueKey: string;
        searchDelay: number;
        checkStrictly: boolean;
        expandChild: boolean;
        pathMode: boolean;
        expandTrigger: "hover" | "click";
        searchOptionOnlyLabel: boolean;
        fallback: boolean | ((value: string | number | Record<string, unknown> | (string | number | Record<string, unknown>)[]) => string);
    }, true, {}, {}, {
        Trigger: {
            new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
                popupVisible: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                defaultPopupVisible: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                trigger: {
                    type: import("vue").PropType<"focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[]>;
                    default: string;
                };
                position: {
                    type: import("vue").PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
                    default: string;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                popupOffset: {
                    type: NumberConstructor;
                    default: number;
                };
                popupTranslate: {
                    type: import("vue").PropType<import("..").TriggerPopupTranslate>;
                };
                showArrow: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                alignPoint: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                popupHoverStay: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                blurToClose: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                clickToClose: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                clickOutsideToClose: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                unmountOnClose: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                contentClass: {
                    type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
                };
                contentStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                };
                arrowClass: {
                    type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
                };
                arrowStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                };
                popupStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                };
                animationName: {
                    type: StringConstructor;
                    default: string;
                };
                duration: {
                    type: import("vue").PropType<number | {
                        enter: number;
                        leave: number;
                    }>;
                };
                mouseEnterDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                mouseLeaveDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                focusDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                autoFitPopupWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoFitPopupMinWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoFixPosition: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                popupContainer: {
                    type: import("vue").PropType<string | HTMLElement>;
                };
                updateAtScroll: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoFitTransformOrigin: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                hideEmpty: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                openedClass: {
                    type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
                };
                autoFitPosition: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                renderToBody: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                preventFocus: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>> & Readonly<{
                onResize?: (() => any) | undefined;
                "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
                onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
                onShow?: (() => any) | undefined;
                onHide?: (() => any) | undefined;
            }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                'update:popupVisible': (visible: boolean) => true;
                popupVisibleChange: (visible: boolean) => true;
                show: () => true;
                hide: () => true;
                resize: () => true;
            }, import("vue").PublicProps, {
                disabled: boolean;
                popupVisible: boolean;
                defaultPopupVisible: boolean;
                trigger: "focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[];
                position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
                popupOffset: number;
                showArrow: boolean;
                alignPoint: boolean;
                popupHoverStay: boolean;
                blurToClose: boolean;
                clickToClose: boolean;
                clickOutsideToClose: boolean;
                unmountOnClose: boolean;
                animationName: string;
                mouseEnterDelay: number;
                mouseLeaveDelay: number;
                focusDelay: number;
                autoFitPopupWidth: boolean;
                autoFitPopupMinWidth: boolean;
                autoFixPosition: boolean;
                updateAtScroll: boolean;
                autoFitTransformOrigin: boolean;
                hideEmpty: boolean;
                autoFitPosition: boolean;
                renderToBody: boolean;
                preventFocus: boolean;
            }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
                P: {};
                B: {};
                D: {};
                C: {};
                M: {};
                Defaults: {};
            }, Readonly<import("vue").ExtractPropTypes<{
                popupVisible: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                defaultPopupVisible: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                trigger: {
                    type: import("vue").PropType<"focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[]>;
                    default: string;
                };
                position: {
                    type: import("vue").PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
                    default: string;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                popupOffset: {
                    type: NumberConstructor;
                    default: number;
                };
                popupTranslate: {
                    type: import("vue").PropType<import("..").TriggerPopupTranslate>;
                };
                showArrow: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                alignPoint: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                popupHoverStay: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                blurToClose: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                clickToClose: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                clickOutsideToClose: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                unmountOnClose: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                contentClass: {
                    type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
                };
                contentStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                };
                arrowClass: {
                    type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
                };
                arrowStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                };
                popupStyle: {
                    type: import("vue").PropType<import("vue").CSSProperties>;
                };
                animationName: {
                    type: StringConstructor;
                    default: string;
                };
                duration: {
                    type: import("vue").PropType<number | {
                        enter: number;
                        leave: number;
                    }>;
                };
                mouseEnterDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                mouseLeaveDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                focusDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                autoFitPopupWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoFitPopupMinWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoFixPosition: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                popupContainer: {
                    type: import("vue").PropType<string | HTMLElement>;
                };
                updateAtScroll: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoFitTransformOrigin: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                hideEmpty: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                openedClass: {
                    type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
                };
                autoFitPosition: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                renderToBody: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                preventFocus: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>> & Readonly<{
                onResize?: (() => any) | undefined;
                "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
                onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
                onShow?: (() => any) | undefined;
                onHide?: (() => any) | undefined;
            }>, () => any, {}, {}, {}, {
                disabled: boolean;
                popupVisible: boolean;
                defaultPopupVisible: boolean;
                trigger: "focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[];
                position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
                popupOffset: number;
                showArrow: boolean;
                alignPoint: boolean;
                popupHoverStay: boolean;
                blurToClose: boolean;
                clickToClose: boolean;
                clickOutsideToClose: boolean;
                unmountOnClose: boolean;
                animationName: string;
                mouseEnterDelay: number;
                mouseLeaveDelay: number;
                focusDelay: number;
                autoFitPopupWidth: boolean;
                autoFitPopupMinWidth: boolean;
                autoFixPosition: boolean;
                updateAtScroll: boolean;
                autoFitTransformOrigin: boolean;
                hideEmpty: boolean;
                autoFitPosition: boolean;
                renderToBody: boolean;
                preventFocus: boolean;
            }>;
            __isFragment?: undefined;
            __isTeleport?: undefined;
            __isSuspense?: undefined;
        } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            popupVisible: {
                type: BooleanConstructor;
                default: undefined;
            };
            defaultPopupVisible: {
                type: BooleanConstructor;
                default: boolean;
            };
            trigger: {
                type: import("vue").PropType<"focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[]>;
                default: string;
            };
            position: {
                type: import("vue").PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupOffset: {
                type: NumberConstructor;
                default: number;
            };
            popupTranslate: {
                type: import("vue").PropType<import("..").TriggerPopupTranslate>;
            };
            showArrow: {
                type: BooleanConstructor;
                default: boolean;
            };
            alignPoint: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupHoverStay: {
                type: BooleanConstructor;
                default: boolean;
            };
            blurToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickOutsideToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            unmountOnClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            contentClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            contentStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            arrowClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            arrowStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            popupStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            animationName: {
                type: StringConstructor;
                default: string;
            };
            duration: {
                type: import("vue").PropType<number | {
                    enter: number;
                    leave: number;
                }>;
            };
            mouseEnterDelay: {
                type: NumberConstructor;
                default: number;
            };
            mouseLeaveDelay: {
                type: NumberConstructor;
                default: number;
            };
            focusDelay: {
                type: NumberConstructor;
                default: number;
            };
            autoFitPopupWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitPopupMinWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFixPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupContainer: {
                type: import("vue").PropType<string | HTMLElement>;
            };
            updateAtScroll: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitTransformOrigin: {
                type: BooleanConstructor;
                default: boolean;
            };
            hideEmpty: {
                type: BooleanConstructor;
                default: boolean;
            };
            openedClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            autoFitPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            renderToBody: {
                type: BooleanConstructor;
                default: boolean;
            };
            preventFocus: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{
            onResize?: (() => any) | undefined;
            "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
            onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
            onShow?: (() => any) | undefined;
            onHide?: (() => any) | undefined;
        }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'update:popupVisible': (visible: boolean) => true;
            popupVisibleChange: (visible: boolean) => true;
            show: () => true;
            hide: () => true;
            resize: () => true;
        }, string, {
            disabled: boolean;
            popupVisible: boolean;
            defaultPopupVisible: boolean;
            trigger: "focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[];
            position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
            popupOffset: number;
            showArrow: boolean;
            alignPoint: boolean;
            popupHoverStay: boolean;
            blurToClose: boolean;
            clickToClose: boolean;
            clickOutsideToClose: boolean;
            unmountOnClose: boolean;
            animationName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            focusDelay: number;
            autoFitPopupWidth: boolean;
            autoFitPopupMinWidth: boolean;
            autoFixPosition: boolean;
            updateAtScroll: boolean;
            autoFitTransformOrigin: boolean;
            hideEmpty: boolean;
            autoFitPosition: boolean;
            renderToBody: boolean;
            preventFocus: boolean;
        }, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
            install: (app: App<any>, options?: ArcoOptions | undefined) => void;
        };
        SelectView: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            modelValue: {
                type: import("vue").PropType<import("../_components/select-view/interface").SelectViewValue[]>;
                required: true;
            };
            inputValue: StringConstructor;
            placeholder: StringConstructor;
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            error: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            opened: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: import("vue").PropType<"mini" | "small" | "medium" | "large">;
            };
            bordered: {
                type: BooleanConstructor;
                default: boolean;
            };
            multiple: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowClear: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowCreate: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowSearch: {
                type: BooleanConstructor;
                default: (props: import("../_utils/types").Data) => boolean;
            };
            maxTagCount: {
                type: NumberConstructor;
                default: number;
            };
            tagNowrap: {
                type: BooleanConstructor;
                default: boolean;
            };
            retainInputValue: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>, {
            inputRef: import("vue").ComputedRef<HTMLInputElement>;
            handleFocus: (ev: FocusEvent) => void;
            handleBlur: (ev: FocusEvent) => void;
            render: () => any;
        }, {}, {}, {
            focus(): void;
            blur(): void;
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("focus" | "blur" | "clear" | "remove")[], "clear" | "focus" | "blur" | "remove", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            modelValue: {
                type: import("vue").PropType<import("../_components/select-view/interface").SelectViewValue[]>;
                required: true;
            };
            inputValue: StringConstructor;
            placeholder: StringConstructor;
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            error: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            opened: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: import("vue").PropType<"mini" | "small" | "medium" | "large">;
            };
            bordered: {
                type: BooleanConstructor;
                default: boolean;
            };
            multiple: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowClear: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowCreate: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowSearch: {
                type: BooleanConstructor;
                default: (props: import("../_utils/types").Data) => boolean;
            };
            maxTagCount: {
                type: NumberConstructor;
                default: number;
            };
            tagNowrap: {
                type: BooleanConstructor;
                default: boolean;
            };
            retainInputValue: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{
            onFocus?: ((...args: any[]) => any) | undefined;
            onBlur?: ((...args: any[]) => any) | undefined;
            onClear?: ((...args: any[]) => any) | undefined;
            onRemove?: ((...args: any[]) => any) | undefined;
        }>, {
            retainInputValue: boolean;
            disabled: boolean;
            error: boolean;
            allowClear: boolean;
            multiple: boolean;
            loading: boolean;
            opened: boolean;
            bordered: boolean;
            allowCreate: boolean;
            allowSearch: boolean;
            maxTagCount: number;
            tagNowrap: boolean;
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        BaseCascaderPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            displayColumns: {
                type: import("vue").PropType<import("./interface").CascaderOptionInfo[][]>;
                required: true;
            };
            selectedPath: {
                type: import("vue").PropType<string[]>;
                required: true;
            };
            activeKey: StringConstructor;
            totalLevel: {
                type: NumberConstructor;
                required: true;
            };
            multiple: BooleanConstructor;
            checkStrictly: BooleanConstructor;
            loading: BooleanConstructor;
            dropdown: BooleanConstructor;
            virtualListProps: {
                type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
            };
        }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            displayColumns: {
                type: import("vue").PropType<import("./interface").CascaderOptionInfo[][]>;
                required: true;
            };
            selectedPath: {
                type: import("vue").PropType<string[]>;
                required: true;
            };
            activeKey: StringConstructor;
            totalLevel: {
                type: NumberConstructor;
                required: true;
            };
            multiple: BooleanConstructor;
            checkStrictly: BooleanConstructor;
            loading: BooleanConstructor;
            dropdown: BooleanConstructor;
            virtualListProps: {
                type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
            };
        }>> & Readonly<{}>, {
            multiple: boolean;
            loading: boolean;
            checkStrictly: boolean;
            dropdown: boolean;
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        CascaderSearchPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            options: {
                type: import("vue").PropType<import("./interface").CascaderOptionInfo[]>;
                required: true;
            };
            loading: BooleanConstructor;
            activeKey: StringConstructor;
            multiple: BooleanConstructor;
            checkStrictly: BooleanConstructor;
            pathLabel: BooleanConstructor;
        }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            options: {
                type: import("vue").PropType<import("./interface").CascaderOptionInfo[]>;
                required: true;
            };
            loading: BooleanConstructor;
            activeKey: StringConstructor;
            multiple: BooleanConstructor;
            checkStrictly: BooleanConstructor;
            pathLabel: BooleanConstructor;
        }>> & Readonly<{}>, {
            multiple: boolean;
            loading: boolean;
            checkStrictly: boolean;
            pathLabel: boolean;
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        pathMode: {
            type: BooleanConstructor;
            default: boolean;
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        modelValue: {
            type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
        };
        defaultValue: {
            type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
            default: (props: import("../_utils/types").Data) => "" | never[] | undefined;
        };
        options: {
            type: import("vue").PropType<import("./interface").CascaderOption[]>;
            default: () => never[];
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        error: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: import("vue").PropType<"mini" | "small" | "medium" | "large">;
        };
        allowSearch: {
            type: BooleanConstructor;
            default: (props: import("../_utils/types").Data) => boolean;
        };
        allowClear: {
            type: BooleanConstructor;
            default: boolean;
        };
        inputValue: {
            type: StringConstructor;
            default: undefined;
        };
        defaultInputValue: {
            type: StringConstructor;
            default: string;
        };
        popupVisible: {
            type: BooleanConstructor;
            default: undefined;
        };
        expandTrigger: {
            type: import("vue").PropType<"hover" | "click">;
            default: string;
        };
        defaultPopupVisible: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: StringConstructor;
        filterOption: {
            type: import("vue").PropType<(inputValue: string, option: import("./interface").CascaderOption) => boolean>;
        };
        popupContainer: {
            type: import("vue").PropType<string | HTMLElement | null | undefined>;
        };
        maxTagCount: {
            type: NumberConstructor;
            default: number;
        };
        formatLabel: {
            type: import("vue").PropType<(options: import("./interface").CascaderOption[]) => string>;
        };
        triggerProps: {
            type: import("vue").PropType<import("..").TriggerProps>;
        };
        checkStrictly: {
            type: BooleanConstructor;
            default: boolean;
        };
        loadMore: {
            type: import("vue").PropType<(option: import("./interface").CascaderOption, done: (children?: import("./interface").CascaderOption[] | undefined) => void) => void>;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        searchOptionOnlyLabel: {
            type: BooleanConstructor;
            default: boolean;
        };
        searchDelay: {
            type: NumberConstructor;
            default: number;
        };
        fieldNames: {
            type: import("vue").PropType<import("../_utils/types").FieldString<import("./interface").CascaderOption>>;
        };
        valueKey: {
            type: StringConstructor;
            default: string;
        };
        fallback: {
            type: import("vue").PropType<boolean | ((value: string | number | Record<string, unknown> | (string | number | Record<string, unknown>)[]) => string)>;
            default: boolean;
        };
        expandChild: {
            type: BooleanConstructor;
            default: boolean;
        };
        virtualListProps: {
            type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
        };
    }>> & Readonly<{
        onClear?: (() => any) | undefined;
        onInputValueChange?: ((value: string) => any) | undefined;
        onFocus?: ((ev: FocusEvent) => any) | undefined;
        onBlur?: ((ev: FocusEvent) => any) | undefined;
        "onUpdate:modelValue"?: ((value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => any) | undefined;
        onChange?: ((value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => any) | undefined;
        "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
        onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
        onSearch?: ((value: string) => any) | undefined;
    }>, {
        optionInfos: import("vue").Ref<{
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[], import("./interface").CascaderOptionInfo[] | {
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[]>;
        filteredLeafOptions: import("vue").ComputedRef<{
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[]>;
        selectedPath: import("vue").Ref<string[], string[]>;
        activeKey: import("vue").Ref<string | undefined, string | undefined>;
        displayColumns: import("vue").ComputedRef<import("./interface").CascaderOptionInfo[][]>;
        computedInputValue: import("vue").ComputedRef<string>;
        computedPopupVisible: import("vue").ComputedRef<boolean>;
        handleClear: (e: MouseEvent) => void;
        selectViewValue: import("vue").ComputedRef<any[]>;
        handleInputValueChange: (value: string, reason: string) => void;
        showSearchPanel: import("vue").ComputedRef<boolean>;
        handlePopupVisibleChange: (visible: boolean) => void;
        handleFocus: (e: FocusEvent) => void;
        handleBlur: (e: FocusEvent) => void;
        handleRemove: (key: string) => void;
        mergedDisabled: import("vue").ComputedRef<boolean>;
        handleKeyDown: (event: KeyboardEvent) => void;
        totalLevel: import("vue").Ref<number, number>;
    }, {}, {}, {}, {
        inputValue: string;
        disabled: boolean;
        error: boolean;
        defaultValue: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined;
        allowClear: boolean;
        popupVisible: boolean;
        defaultPopupVisible: boolean;
        multiple: boolean;
        loading: boolean;
        allowSearch: boolean;
        maxTagCount: number;
        defaultInputValue: string;
        options: import("./interface").CascaderOption[];
        valueKey: string;
        searchDelay: number;
        checkStrictly: boolean;
        expandChild: boolean;
        pathMode: boolean;
        expandTrigger: "hover" | "click";
        searchOptionOnlyLabel: boolean;
        fallback: boolean | ((value: string | number | Record<string, unknown> | (string | number | Record<string, unknown>)[]) => string);
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    pathMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    modelValue: {
        type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
    };
    defaultValue: {
        type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
        default: (props: import("../_utils/types").Data) => "" | never[] | undefined;
    };
    options: {
        type: import("vue").PropType<import("./interface").CascaderOption[]>;
        default: () => never[];
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    error: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<"mini" | "small" | "medium" | "large">;
    };
    allowSearch: {
        type: BooleanConstructor;
        default: (props: import("../_utils/types").Data) => boolean;
    };
    allowClear: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputValue: {
        type: StringConstructor;
        default: undefined;
    };
    defaultInputValue: {
        type: StringConstructor;
        default: string;
    };
    popupVisible: {
        type: BooleanConstructor;
        default: undefined;
    };
    expandTrigger: {
        type: import("vue").PropType<"hover" | "click">;
        default: string;
    };
    defaultPopupVisible: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: StringConstructor;
    filterOption: {
        type: import("vue").PropType<(inputValue: string, option: import("./interface").CascaderOption) => boolean>;
    };
    popupContainer: {
        type: import("vue").PropType<string | HTMLElement | null | undefined>;
    };
    maxTagCount: {
        type: NumberConstructor;
        default: number;
    };
    formatLabel: {
        type: import("vue").PropType<(options: import("./interface").CascaderOption[]) => string>;
    };
    triggerProps: {
        type: import("vue").PropType<import("..").TriggerProps>;
    };
    checkStrictly: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadMore: {
        type: import("vue").PropType<(option: import("./interface").CascaderOption, done: (children?: import("./interface").CascaderOption[] | undefined) => void) => void>;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    searchOptionOnlyLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    searchDelay: {
        type: NumberConstructor;
        default: number;
    };
    fieldNames: {
        type: import("vue").PropType<import("../_utils/types").FieldString<import("./interface").CascaderOption>>;
    };
    valueKey: {
        type: StringConstructor;
        default: string;
    };
    fallback: {
        type: import("vue").PropType<boolean | ((value: string | number | Record<string, unknown> | (string | number | Record<string, unknown>)[]) => string)>;
        default: boolean;
    };
    expandChild: {
        type: BooleanConstructor;
        default: boolean;
    };
    virtualListProps: {
        type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
    };
}>> & Readonly<{
    onClear?: (() => any) | undefined;
    onInputValueChange?: ((value: string) => any) | undefined;
    onFocus?: ((ev: FocusEvent) => any) | undefined;
    onBlur?: ((ev: FocusEvent) => any) | undefined;
    "onUpdate:modelValue"?: ((value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => any) | undefined;
    onChange?: ((value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => any) | undefined;
    "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
    onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
    onSearch?: ((value: string) => any) | undefined;
}>, {
    optionInfos: import("vue").Ref<{
        [x: string]: any;
        raw: Record<string, unknown>;
        key: string;
        valueKey: string;
        level: number;
        index: number;
        value: string | number;
        label: string;
        disabled: boolean;
        selectionDisabled: boolean;
        isLeaf: boolean;
        parent?: any | undefined;
        children?: any[] | undefined;
        path: any[];
        pathValue: any[];
        totalLeafOptions?: number | undefined;
        render?: import("vue").RenderFunction | undefined;
        tagProps?: {
            color?: string | undefined;
            size?: "small" | "medium" | "large" | undefined;
            visible?: boolean | undefined;
            defaultVisible?: boolean | undefined;
            loading?: boolean | undefined;
            closable?: boolean | undefined;
            checkable?: boolean | undefined;
            checked?: boolean | undefined;
            defaultChecked?: boolean | undefined;
        } | undefined;
    }[], import("./interface").CascaderOptionInfo[] | {
        [x: string]: any;
        raw: Record<string, unknown>;
        key: string;
        valueKey: string;
        level: number;
        index: number;
        value: string | number;
        label: string;
        disabled: boolean;
        selectionDisabled: boolean;
        isLeaf: boolean;
        parent?: any | undefined;
        children?: any[] | undefined;
        path: any[];
        pathValue: any[];
        totalLeafOptions?: number | undefined;
        render?: import("vue").RenderFunction | undefined;
        tagProps?: {
            color?: string | undefined;
            size?: "small" | "medium" | "large" | undefined;
            visible?: boolean | undefined;
            defaultVisible?: boolean | undefined;
            loading?: boolean | undefined;
            closable?: boolean | undefined;
            checkable?: boolean | undefined;
            checked?: boolean | undefined;
            defaultChecked?: boolean | undefined;
        } | undefined;
    }[]>;
    filteredLeafOptions: import("vue").ComputedRef<{
        [x: string]: any;
        raw: Record<string, unknown>;
        key: string;
        valueKey: string;
        level: number;
        index: number;
        value: string | number;
        label: string;
        disabled: boolean;
        selectionDisabled: boolean;
        isLeaf: boolean;
        parent?: any | undefined;
        children?: any[] | undefined;
        path: any[];
        pathValue: any[];
        totalLeafOptions?: number | undefined;
        render?: import("vue").RenderFunction | undefined;
        tagProps?: {
            color?: string | undefined;
            size?: "small" | "medium" | "large" | undefined;
            visible?: boolean | undefined;
            defaultVisible?: boolean | undefined;
            loading?: boolean | undefined;
            closable?: boolean | undefined;
            checkable?: boolean | undefined;
            checked?: boolean | undefined;
            defaultChecked?: boolean | undefined;
        } | undefined;
    }[]>;
    selectedPath: import("vue").Ref<string[], string[]>;
    activeKey: import("vue").Ref<string | undefined, string | undefined>;
    displayColumns: import("vue").ComputedRef<import("./interface").CascaderOptionInfo[][]>;
    computedInputValue: import("vue").ComputedRef<string>;
    computedPopupVisible: import("vue").ComputedRef<boolean>;
    handleClear: (e: MouseEvent) => void;
    selectViewValue: import("vue").ComputedRef<any[]>;
    handleInputValueChange: (value: string, reason: string) => void;
    showSearchPanel: import("vue").ComputedRef<boolean>;
    handlePopupVisibleChange: (visible: boolean) => void;
    handleFocus: (e: FocusEvent) => void;
    handleBlur: (e: FocusEvent) => void;
    handleRemove: (key: string) => void;
    mergedDisabled: import("vue").ComputedRef<boolean>;
    handleKeyDown: (event: KeyboardEvent) => void;
    totalLevel: import("vue").Ref<number, number>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => true;
    'update:popupVisible': (visible: boolean) => true;
    change: (value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => true;
    inputValueChange: (value: string) => true;
    clear: () => true;
    search: (value: string) => true;
    popupVisibleChange: (visible: boolean) => true;
    focus: (ev: FocusEvent) => true;
    blur: (ev: FocusEvent) => true;
}, string, {
    inputValue: string;
    disabled: boolean;
    error: boolean;
    defaultValue: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined;
    allowClear: boolean;
    popupVisible: boolean;
    defaultPopupVisible: boolean;
    multiple: boolean;
    loading: boolean;
    allowSearch: boolean;
    maxTagCount: number;
    defaultInputValue: string;
    options: import("./interface").CascaderOption[];
    valueKey: string;
    searchDelay: number;
    checkStrictly: boolean;
    expandChild: boolean;
    pathMode: boolean;
    expandTrigger: "hover" | "click";
    searchOptionOnlyLabel: boolean;
    fallback: boolean | ((value: string | number | Record<string, unknown> | (string | number | Record<string, unknown>)[]) => string);
}, {}, string, {}, {
    Trigger: {
        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            popupVisible: {
                type: BooleanConstructor;
                default: undefined;
            };
            defaultPopupVisible: {
                type: BooleanConstructor;
                default: boolean;
            };
            trigger: {
                type: import("vue").PropType<"focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[]>;
                default: string;
            };
            position: {
                type: import("vue").PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupOffset: {
                type: NumberConstructor;
                default: number;
            };
            popupTranslate: {
                type: import("vue").PropType<import("..").TriggerPopupTranslate>;
            };
            showArrow: {
                type: BooleanConstructor;
                default: boolean;
            };
            alignPoint: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupHoverStay: {
                type: BooleanConstructor;
                default: boolean;
            };
            blurToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickOutsideToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            unmountOnClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            contentClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            contentStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            arrowClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            arrowStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            popupStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            animationName: {
                type: StringConstructor;
                default: string;
            };
            duration: {
                type: import("vue").PropType<number | {
                    enter: number;
                    leave: number;
                }>;
            };
            mouseEnterDelay: {
                type: NumberConstructor;
                default: number;
            };
            mouseLeaveDelay: {
                type: NumberConstructor;
                default: number;
            };
            focusDelay: {
                type: NumberConstructor;
                default: number;
            };
            autoFitPopupWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitPopupMinWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFixPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupContainer: {
                type: import("vue").PropType<string | HTMLElement>;
            };
            updateAtScroll: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitTransformOrigin: {
                type: BooleanConstructor;
                default: boolean;
            };
            hideEmpty: {
                type: BooleanConstructor;
                default: boolean;
            };
            openedClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            autoFitPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            renderToBody: {
                type: BooleanConstructor;
                default: boolean;
            };
            preventFocus: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{
            onResize?: (() => any) | undefined;
            "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
            onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
            onShow?: (() => any) | undefined;
            onHide?: (() => any) | undefined;
        }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'update:popupVisible': (visible: boolean) => true;
            popupVisibleChange: (visible: boolean) => true;
            show: () => true;
            hide: () => true;
            resize: () => true;
        }, import("vue").PublicProps, {
            disabled: boolean;
            popupVisible: boolean;
            defaultPopupVisible: boolean;
            trigger: "focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[];
            position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
            popupOffset: number;
            showArrow: boolean;
            alignPoint: boolean;
            popupHoverStay: boolean;
            blurToClose: boolean;
            clickToClose: boolean;
            clickOutsideToClose: boolean;
            unmountOnClose: boolean;
            animationName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            focusDelay: number;
            autoFitPopupWidth: boolean;
            autoFitPopupMinWidth: boolean;
            autoFixPosition: boolean;
            updateAtScroll: boolean;
            autoFitTransformOrigin: boolean;
            hideEmpty: boolean;
            autoFitPosition: boolean;
            renderToBody: boolean;
            preventFocus: boolean;
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            popupVisible: {
                type: BooleanConstructor;
                default: undefined;
            };
            defaultPopupVisible: {
                type: BooleanConstructor;
                default: boolean;
            };
            trigger: {
                type: import("vue").PropType<"focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[]>;
                default: string;
            };
            position: {
                type: import("vue").PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupOffset: {
                type: NumberConstructor;
                default: number;
            };
            popupTranslate: {
                type: import("vue").PropType<import("..").TriggerPopupTranslate>;
            };
            showArrow: {
                type: BooleanConstructor;
                default: boolean;
            };
            alignPoint: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupHoverStay: {
                type: BooleanConstructor;
                default: boolean;
            };
            blurToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickOutsideToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            unmountOnClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            contentClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            contentStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            arrowClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            arrowStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            popupStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
            };
            animationName: {
                type: StringConstructor;
                default: string;
            };
            duration: {
                type: import("vue").PropType<number | {
                    enter: number;
                    leave: number;
                }>;
            };
            mouseEnterDelay: {
                type: NumberConstructor;
                default: number;
            };
            mouseLeaveDelay: {
                type: NumberConstructor;
                default: number;
            };
            focusDelay: {
                type: NumberConstructor;
                default: number;
            };
            autoFitPopupWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitPopupMinWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFixPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupContainer: {
                type: import("vue").PropType<string | HTMLElement>;
            };
            updateAtScroll: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitTransformOrigin: {
                type: BooleanConstructor;
                default: boolean;
            };
            hideEmpty: {
                type: BooleanConstructor;
                default: boolean;
            };
            openedClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            autoFitPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            renderToBody: {
                type: BooleanConstructor;
                default: boolean;
            };
            preventFocus: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{
            onResize?: (() => any) | undefined;
            "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
            onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
            onShow?: (() => any) | undefined;
            onHide?: (() => any) | undefined;
        }>, () => any, {}, {}, {}, {
            disabled: boolean;
            popupVisible: boolean;
            defaultPopupVisible: boolean;
            trigger: "focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[];
            position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
            popupOffset: number;
            showArrow: boolean;
            alignPoint: boolean;
            popupHoverStay: boolean;
            blurToClose: boolean;
            clickToClose: boolean;
            clickOutsideToClose: boolean;
            unmountOnClose: boolean;
            animationName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            focusDelay: number;
            autoFitPopupWidth: boolean;
            autoFitPopupMinWidth: boolean;
            autoFixPosition: boolean;
            updateAtScroll: boolean;
            autoFitTransformOrigin: boolean;
            hideEmpty: boolean;
            autoFitPosition: boolean;
            renderToBody: boolean;
            preventFocus: boolean;
        }>;
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        popupVisible: {
            type: BooleanConstructor;
            default: undefined;
        };
        defaultPopupVisible: {
            type: BooleanConstructor;
            default: boolean;
        };
        trigger: {
            type: import("vue").PropType<"focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[]>;
            default: string;
        };
        position: {
            type: import("vue").PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        popupOffset: {
            type: NumberConstructor;
            default: number;
        };
        popupTranslate: {
            type: import("vue").PropType<import("..").TriggerPopupTranslate>;
        };
        showArrow: {
            type: BooleanConstructor;
            default: boolean;
        };
        alignPoint: {
            type: BooleanConstructor;
            default: boolean;
        };
        popupHoverStay: {
            type: BooleanConstructor;
            default: boolean;
        };
        blurToClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        clickToClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        clickOutsideToClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        unmountOnClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        contentClass: {
            type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        };
        contentStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        arrowClass: {
            type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        };
        arrowStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        animationName: {
            type: StringConstructor;
            default: string;
        };
        duration: {
            type: import("vue").PropType<number | {
                enter: number;
                leave: number;
            }>;
        };
        mouseEnterDelay: {
            type: NumberConstructor;
            default: number;
        };
        mouseLeaveDelay: {
            type: NumberConstructor;
            default: number;
        };
        focusDelay: {
            type: NumberConstructor;
            default: number;
        };
        autoFitPopupWidth: {
            type: BooleanConstructor;
            default: boolean;
        };
        autoFitPopupMinWidth: {
            type: BooleanConstructor;
            default: boolean;
        };
        autoFixPosition: {
            type: BooleanConstructor;
            default: boolean;
        };
        popupContainer: {
            type: import("vue").PropType<string | HTMLElement>;
        };
        updateAtScroll: {
            type: BooleanConstructor;
            default: boolean;
        };
        autoFitTransformOrigin: {
            type: BooleanConstructor;
            default: boolean;
        };
        hideEmpty: {
            type: BooleanConstructor;
            default: boolean;
        };
        openedClass: {
            type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        };
        autoFitPosition: {
            type: BooleanConstructor;
            default: boolean;
        };
        renderToBody: {
            type: BooleanConstructor;
            default: boolean;
        };
        preventFocus: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{
        onResize?: (() => any) | undefined;
        "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
        onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
        onShow?: (() => any) | undefined;
        onHide?: (() => any) | undefined;
    }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        'update:popupVisible': (visible: boolean) => true;
        popupVisibleChange: (visible: boolean) => true;
        show: () => true;
        hide: () => true;
        resize: () => true;
    }, string, {
        disabled: boolean;
        popupVisible: boolean;
        defaultPopupVisible: boolean;
        trigger: "focus" | "hover" | "click" | "contextMenu" | ("focus" | "hover" | "click" | "contextMenu")[];
        position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
        popupOffset: number;
        showArrow: boolean;
        alignPoint: boolean;
        popupHoverStay: boolean;
        blurToClose: boolean;
        clickToClose: boolean;
        clickOutsideToClose: boolean;
        unmountOnClose: boolean;
        animationName: string;
        mouseEnterDelay: number;
        mouseLeaveDelay: number;
        focusDelay: number;
        autoFitPopupWidth: boolean;
        autoFitPopupMinWidth: boolean;
        autoFixPosition: boolean;
        updateAtScroll: boolean;
        autoFitTransformOrigin: boolean;
        hideEmpty: boolean;
        autoFitPosition: boolean;
        renderToBody: boolean;
        preventFocus: boolean;
    }, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
        install: (app: App<any>, options?: ArcoOptions | undefined) => void;
    };
    SelectView: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("../_components/select-view/interface").SelectViewValue[]>;
            required: true;
        };
        inputValue: StringConstructor;
        placeholder: StringConstructor;
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        error: {
            type: BooleanConstructor;
            default: boolean;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        opened: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: import("vue").PropType<"mini" | "small" | "medium" | "large">;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        allowClear: {
            type: BooleanConstructor;
            default: boolean;
        };
        allowCreate: {
            type: BooleanConstructor;
            default: boolean;
        };
        allowSearch: {
            type: BooleanConstructor;
            default: (props: import("../_utils/types").Data) => boolean;
        };
        maxTagCount: {
            type: NumberConstructor;
            default: number;
        };
        tagNowrap: {
            type: BooleanConstructor;
            default: boolean;
        };
        retainInputValue: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>, {
        inputRef: import("vue").ComputedRef<HTMLInputElement>;
        handleFocus: (ev: FocusEvent) => void;
        handleBlur: (ev: FocusEvent) => void;
        render: () => any;
    }, {}, {}, {
        focus(): void;
        blur(): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("focus" | "blur" | "clear" | "remove")[], "clear" | "focus" | "blur" | "remove", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("../_components/select-view/interface").SelectViewValue[]>;
            required: true;
        };
        inputValue: StringConstructor;
        placeholder: StringConstructor;
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        error: {
            type: BooleanConstructor;
            default: boolean;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        opened: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: import("vue").PropType<"mini" | "small" | "medium" | "large">;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        allowClear: {
            type: BooleanConstructor;
            default: boolean;
        };
        allowCreate: {
            type: BooleanConstructor;
            default: boolean;
        };
        allowSearch: {
            type: BooleanConstructor;
            default: (props: import("../_utils/types").Data) => boolean;
        };
        maxTagCount: {
            type: NumberConstructor;
            default: number;
        };
        tagNowrap: {
            type: BooleanConstructor;
            default: boolean;
        };
        retainInputValue: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{
        onFocus?: ((...args: any[]) => any) | undefined;
        onBlur?: ((...args: any[]) => any) | undefined;
        onClear?: ((...args: any[]) => any) | undefined;
        onRemove?: ((...args: any[]) => any) | undefined;
    }>, {
        retainInputValue: boolean;
        disabled: boolean;
        error: boolean;
        allowClear: boolean;
        multiple: boolean;
        loading: boolean;
        opened: boolean;
        bordered: boolean;
        allowCreate: boolean;
        allowSearch: boolean;
        maxTagCount: number;
        tagNowrap: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    BaseCascaderPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        displayColumns: {
            type: import("vue").PropType<import("./interface").CascaderOptionInfo[][]>;
            required: true;
        };
        selectedPath: {
            type: import("vue").PropType<string[]>;
            required: true;
        };
        activeKey: StringConstructor;
        totalLevel: {
            type: NumberConstructor;
            required: true;
        };
        multiple: BooleanConstructor;
        checkStrictly: BooleanConstructor;
        loading: BooleanConstructor;
        dropdown: BooleanConstructor;
        virtualListProps: {
            type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
        };
    }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        displayColumns: {
            type: import("vue").PropType<import("./interface").CascaderOptionInfo[][]>;
            required: true;
        };
        selectedPath: {
            type: import("vue").PropType<string[]>;
            required: true;
        };
        activeKey: StringConstructor;
        totalLevel: {
            type: NumberConstructor;
            required: true;
        };
        multiple: BooleanConstructor;
        checkStrictly: BooleanConstructor;
        loading: BooleanConstructor;
        dropdown: BooleanConstructor;
        virtualListProps: {
            type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
        };
    }>> & Readonly<{}>, {
        multiple: boolean;
        loading: boolean;
        checkStrictly: boolean;
        dropdown: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    CascaderSearchPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        options: {
            type: import("vue").PropType<import("./interface").CascaderOptionInfo[]>;
            required: true;
        };
        loading: BooleanConstructor;
        activeKey: StringConstructor;
        multiple: BooleanConstructor;
        checkStrictly: BooleanConstructor;
        pathLabel: BooleanConstructor;
    }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        options: {
            type: import("vue").PropType<import("./interface").CascaderOptionInfo[]>;
            required: true;
        };
        loading: BooleanConstructor;
        activeKey: StringConstructor;
        multiple: BooleanConstructor;
        checkStrictly: BooleanConstructor;
        pathLabel: BooleanConstructor;
    }>> & Readonly<{}>, {
        multiple: boolean;
        loading: boolean;
        checkStrictly: boolean;
        pathLabel: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
} & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    CascaderPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        pathMode: {
            type: BooleanConstructor;
            default: boolean;
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        modelValue: {
            type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
        };
        defaultValue: {
            type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
            default: (props: import("../_utils/types").Data) => "" | never[] | undefined;
        };
        options: {
            type: import("vue").PropType<import("./interface").CascaderOption[]>;
            default: () => never[];
        };
        expandTrigger: {
            type: StringConstructor;
            default: string;
        };
        checkStrictly: {
            type: BooleanConstructor;
            default: boolean;
        };
        loadMore: {
            type: import("vue").PropType<(option: import("./interface").CascaderOption, done: (children?: import("./interface").CascaderOption[] | undefined) => void) => void>;
        };
        fieldNames: {
            type: import("vue").PropType<import("../_utils/types").FieldString<import("./interface").CascaderOption>>;
        };
        valueKey: {
            type: StringConstructor;
            default: string;
        };
        expandChild: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>, {
        optionInfos: import("vue").Ref<{
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[], import("./interface").CascaderOptionInfo[] | {
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[]>;
        filteredLeafOptions: import("vue").ComputedRef<{
            [x: string]: any;
            raw: Record<string, unknown>;
            key: string;
            valueKey: string;
            level: number;
            index: number;
            value: string | number;
            label: string;
            disabled: boolean;
            selectionDisabled: boolean;
            isLeaf: boolean;
            parent?: any | undefined;
            children?: any[] | undefined;
            path: any[];
            pathValue: any[];
            totalLeafOptions?: number | undefined;
            render?: import("vue").RenderFunction | undefined;
            tagProps?: {
                color?: string | undefined;
                size?: "small" | "medium" | "large" | undefined;
                visible?: boolean | undefined;
                defaultVisible?: boolean | undefined;
                loading?: boolean | undefined;
                closable?: boolean | undefined;
                checkable?: boolean | undefined;
                checked?: boolean | undefined;
                defaultChecked?: boolean | undefined;
            } | undefined;
        }[]>;
        selectedPath: import("vue").Ref<string[], string[]>;
        activeKey: import("vue").Ref<string | undefined, string | undefined>;
        displayColumns: import("vue").ComputedRef<import("./interface").CascaderOptionInfo[][]>;
        handleKeyDown: (event: KeyboardEvent) => void;
        totalLevel: import("vue").Ref<number, number>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        'update:modelValue': (value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => true;
        change: (value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => true;
    }, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        pathMode: {
            type: BooleanConstructor;
            default: boolean;
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        modelValue: {
            type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
        };
        defaultValue: {
            type: import("vue").PropType<string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined>;
            default: (props: import("../_utils/types").Data) => "" | never[] | undefined;
        };
        options: {
            type: import("vue").PropType<import("./interface").CascaderOption[]>;
            default: () => never[];
        };
        expandTrigger: {
            type: StringConstructor;
            default: string;
        };
        checkStrictly: {
            type: BooleanConstructor;
            default: boolean;
        };
        loadMore: {
            type: import("vue").PropType<(option: import("./interface").CascaderOption, done: (children?: import("./interface").CascaderOption[] | undefined) => void) => void>;
        };
        fieldNames: {
            type: import("vue").PropType<import("../_utils/types").FieldString<import("./interface").CascaderOption>>;
        };
        valueKey: {
            type: StringConstructor;
            default: string;
        };
        expandChild: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => any) | undefined;
        onChange?: ((value: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined) => any) | undefined;
    }>, {
        defaultValue: string | number | Record<string, any> | (string | number | Record<string, any> | (string | number | Record<string, any>)[])[] | undefined;
        multiple: boolean;
        options: import("./interface").CascaderOption[];
        valueKey: string;
        checkStrictly: boolean;
        expandChild: boolean;
        pathMode: boolean;
        expandTrigger: string;
    }, {}, {
        BaseCascaderPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            displayColumns: {
                type: import("vue").PropType<import("./interface").CascaderOptionInfo[][]>;
                required: true;
            };
            selectedPath: {
                type: import("vue").PropType<string[]>;
                required: true;
            };
            activeKey: StringConstructor;
            totalLevel: {
                type: NumberConstructor;
                required: true;
            };
            multiple: BooleanConstructor;
            checkStrictly: BooleanConstructor;
            loading: BooleanConstructor;
            dropdown: BooleanConstructor;
            virtualListProps: {
                type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
            };
        }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            displayColumns: {
                type: import("vue").PropType<import("./interface").CascaderOptionInfo[][]>;
                required: true;
            };
            selectedPath: {
                type: import("vue").PropType<string[]>;
                required: true;
            };
            activeKey: StringConstructor;
            totalLevel: {
                type: NumberConstructor;
                required: true;
            };
            multiple: BooleanConstructor;
            checkStrictly: BooleanConstructor;
            loading: BooleanConstructor;
            dropdown: BooleanConstructor;
            virtualListProps: {
                type: import("vue").PropType<import("../_components/virtual-list-v2/interface").VirtualListProps>;
            };
        }>> & Readonly<{}>, {
            multiple: boolean;
            loading: boolean;
            checkStrictly: boolean;
            dropdown: boolean;
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    install: (app: App, options?: ArcoOptions | undefined) => void;
};
export declare type CascaderInstance = InstanceType<typeof _Cascader>;
export declare type CascaderPanelInstance = InstanceType<typeof _CascaderPanel>;
export type { CascaderOption, CascaderFieldNames } from './interface';
export { _CascaderPanel as CascaderPanel };
export default Cascader;
